#RISOTTO: do not compare
client_max_body_size %%{nginx_post_max_size}M;
client_body_buffer_size 128k;

# Always trust ourself
%for %%interface in %%range(%%len(%%zones_list))
set_real_ip_from %%getVar('ip_eth{0}'.format(%%interface));
%end for

server_names_hash_bucket_size %%{nginx_hash_bucket_size};
proxy_buffer_size   16k;
proxy_buffers   6 32k;
proxy_busy_buffers_size   32k;
large_client_header_buffers 8 8k;

client_body_temp_path /var/tmp/client_body;
proxy_temp_path /var/tmp/proxy;
fastcgi_temp_path /var/tmp/fastcgi;
uwsgi_temp_path /var/tmp/uwsgi;
scgi_temp_path /var/tmp/scgi;
#FIXME
%if %%getVar('activer_web_behind_revproxy', 'non') == 'oui'
# Define globally trusted reverse proxy
set_real_ip_from %%web_behind_revproxy_ip;
# The original client address that matches one of the trusted
# addresses is replaced by the last non-trusted address sent in the
# request header field
real_ip_recursive on;
%end if
